<?php
	$id = $_GET["id"];
	$hoy = date("Y-m-d H:i:s");

	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["titulo"] != ""){

		if($_POST["id_registro"] != ""){
			
			if($_FILES['archivo']["name"] != ""){
				include("controllers/subir_documento.php");
				$archivo = Subir_Documento($_FILES['archivo']);	
				mysqli_query($connect,"UPDATE Banners SET imagen = '".$archivo."' WHERE id = '".$_POST["id_registro"]."'  ");
			}
			
			if($_FILES['archivo2']["name"] != ""){
				include("controllers/subir_documento.php");
				$archivo = Subir_Documento($_FILES['archivo2']);	
				mysqli_query($connect,"UPDATE Banners SET imagen_movil = '".$archivo."' WHERE id = '".$_POST["id_registro"]."'  ");
			}

			mysqli_query($connect,"UPDATE Banners SET titulo = '".$_POST["titulo"]."', link = '".$_POST["link"]."', 
			 estado = '".$_POST["estado"]."' WHERE id = '".$_POST["id_registro"]."'  ");
			
		}
		else{
			
			include("controllers/subir_documento.php");
			$archivo = Subir_Documento($_FILES['archivo']);	
			$archivo2 = Subir_Documento($_FILES['archivo2']);	
			
			mysqli_query($connect,"INSERT INTO Banners (id_evento, titulo, imagen, imagen_movil, link, estado, created_at ) 
			VALUES 
			( '1', '".$_POST["titulo"]."', '".$archivo."', '".$archivo2."', '".$_POST["link"]."', '".$_POST["estado"]."', '".$hoy."' ) ");
		}
		echo '<script>window.location = "?pg=banners";</script>';//para evitar reinsersion
	}
	
	
	//INFORMACION DE LA BATERIA
	$query = mysqli_query($connect,"SELECT * FROM Banners WHERE id = '".$id."' ");
	$data = mysqli_fetch_array($query);
	
?>





<?php echo $respuesta; ?>

<div class="container-fluid">
	
	<nav aria-label="breadcrumb" style=" margin-top: 10px; margin-bottom: 10px" >
		<ol class="breadcrumb" style="background-color: rgba(0,0,0,0); margin-bottom:0px">
			<li class="breadcrumb-item"><a href="?pg=home">Home</a></li>
			<li class="breadcrumb-item active" aria-current="page"><a href="?pg=banners">Banners</a></li>
			<li class="breadcrumb-item active" aria-current="page">Detalle</li>
		</ol>
	</nav>
	
	<div class="card">

        <div class="card-body">
      
            <form action="" method="post" enctype="multipart/form-data">
                <div class="row">
                
                    <input type="hidden" name="id_registro" value="<?php echo $id; ?>">

                    <div class="col-md-12 item_input">
                        <label class="ti_label">Titulo</label>
						<input type="text" class="form-control" name="titulo" required value="<?php echo $data["titulo"]; ?>"> 
                    </div>
					
					<div class="col-md-12 item_input">
                        <label class="ti_label">Link</label>
						<input type="text" class="form-control" name="link" value="<?php echo $data["link"]; ?>"> 
                    </div>
                    
                    <div class="col-md-12 item_input">
                        <label class="ti_label">Estado</label>
                        <select class="form-control" name="estado" required>
                            <option value="">Selecciona...</option>
                            <?php
                                foreach($Array_Estado as $estado){
									if($estado[0] == $data["estado"]){
										echo '<option value="'.$estado[0].'" selected="selected">'.$estado[1].'</option>';
									}
									else{
										echo '<option value="'.$estado[0].'">'.$estado[1].'</option>';
									}
								}
                            ?>
                        </select>
                    </div>

                    <div class="col-md-6 item_input">
                        <label class="ti_label">Cargar Banner </label>
                        <input type="file" name="archivo" class="form-control" accept="image/*" >
                    </div>
					
					<div class="col-md-6 item_input">
                        <label class="ti_label">Cargar Banner Móvil </label>
                        <input type="file" name="archivo2" class="form-control" accept="image/*" >
                    </div>
					
                    <?php if($data["imagen"] != ""){ ?>
                    <div class="col-md-4 item_input">

                    	<img src="<?php echo $recursos_plubico; ?>/<?php echo $data["imagen"]; ?>" width="100%" />
                    </div>
					<?php } ?>
					
					<?php if($data["imagen_movil"] != ""){ ?>
                    <div class="col-md-4 item_input">

                    	<img src="<?php echo $recursos_plubico; ?>/<?php echo $data["imagen_movil"]; ?>" width="100%" />
                    </div>
					<?php } ?>
                    
                    
                   <div class="col-md-12" style="margin-top: 15px; text-align: left;">
                        <button type="submit" class="btn btn-success btn-block" style="border-radius: 30px;">Guardar</button>
                    </div>
                            
                </div>
            </form>
    
        </div>
    </div>

</div>





<style>
.item_input{
	margin-bottom:15px;
}
</style>



<script>
$( document ).ready(function() {
    $("#bt_sala").addClass( "btn-primary" );
});
</script>